Risultati da 1 a 4 di 4

Discussione: INFO creazioni MACRO

  1. #1
    Utente Junior
    Iscritto dal
    2008
    Messaggi
    49
    Professione
    disegnatore
    Regione
    Lombardia
    Software
    Solid EDGE ST9

    Predefinito INFO creazioni MACRO

    Ciao a tutti,

    vorrei realizzare un pulsante che mi permetta il salvataggio del file DFT automaticamente in tre formati, mi spiego meglio:
    siccome nella ditta in cui lavoro si lavora con disegni in tre formati, DFT (li uso io per la progettazione), PDF (gli servono ai commerciali per le offerte), DXF (alla nostra ditta che fa il Taglio), vorrei creare un pultante tipo il SALVA che però automaticamente mi permette di salvare nei TRE formati utilizzati.

    Qualcuno mi rispondera sicuramente di utilizzare il visualizzatore di SE, ma non posso perche il gestionale non gestisce questo tipo di FILES.

    Grazie anticipatamente.

    P.S. qualcuno ha qualche documento in PDF che spiega come utilizzare le MACRO?? Possibilmente in italiano ???

  2. #2
    SE_User
    Visitatore

    Predefinito

    Solid Edge integra già una guida per creare le macro. In più sotto la cartella CUSTOM trovi degli esempi già fatti e te li puoi guardare per vedere come funziona la cosa. Comunque di base devi conioscere VB6

  3. #3
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2764
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Public Sub Main()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument

    Set objDoc = objApp.ActiveDocument

    Call objDoc.SaveAs(nomefile.dft)
    Call objDoc.SaveAs(nomefile.pdf)
    Call objDoc.SaveAs(nomefile.dxf)

    Set objDoc = Nothing
    Set objApp = Nothing

    end sub
    In VB6 dovresti usare qualcosa del genere. Devi inserire una routine di creazione nomefile in base a dove vuoi salvare i tuoi documenti.

    Ricordati nei riferimenti di VB di aggiungere tutto quanto riguarda Solid Edge.

    Ciao
    Francesco
    Cintura nera di solid edge

  4. #4
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    101
    Professione
    Disegnatore
    Regione
    Emilia Romagna
    Software
    cocreate drafting,solid edge
    Anche a me interessa capire come si crea una
    macro in solid edge.Dove posso guardare,da dove si parte?
    grazie


  • Discussioni Simili

    1. Macro Copia Info da Selezionato
      Di vespa_83 nel forum Solid Edge
      Risposte: 7
      Ultimo Messaggio: 30-03-2012, 15: 28
    2. info Nx7.5
      Di matfio nel forum NX (Unigraphics)
      Risposte: 18
      Ultimo Messaggio: 08-09-2010, 13: 30
    3. creazioni propri manuali didattici in ambito CAx / PLM?
      Di falonef nel forum Modelli 3D e risorse varie dedicate ai progettisti meccanici
      Risposte: 6
      Ultimo Messaggio: 29-04-2009, 21: 29
    4. info su OS a 64 bit
      Di gerod nel forum Solid Edge
      Risposte: 11
      Ultimo Messaggio: 29-09-2008, 15: 51
    5. Info
      Di poliba nel forum Studenti ingegneria meccanica
      Risposte: 3
      Ultimo Messaggio: 07-08-2008, 10: 43

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti